PHP-инклюдинг в MUSOO

Дата публикации:
20.06.2007
Всего просмотров:
1491
Опасность:
Высокая
Наличие исправления:
Нет
Количество уязвимостей:
1
CVSSv2 рейтинг:
CVE ID:
Нет данных
Вектор эксплуатации:
Удаленная
Воздействие:
Раскрытие важных данных
Раскрытие системных данных
Компрометация системы
CWE ID:
Нет данных
Наличие эксплоита:
Нет данных
Уязвимые продукты:
MUSOO 0.x
Уязвимые версии: MUSOO 0.22, возможно другие версии.

Описание:
Уязвимость позволяет удаленному пользователю выполнить произвольный PHP сценарий на целевой системе.

Уязвимость существует из-за недостаточной обработки входных данных в параметре "ini_array[EXTLIB_PATH]" в сценариях parameter in msDb.php, modules/MusooTemplateLite.php и modules/SoundImporter.php. Удаленный пользователь может выполнить произвольный PHP сценарий на целевой системе с привилегиями Web сервера. Для удачной эксплуатации уязвимости опция "register_globals" должна быть включена в конфигурационном файле PHP. Пример:

http://[host]/msDb.php?GLOBALS[ini_array][EXTLIB_PATH]=[file]
http://[host]/modules/MusooTemplateLite.php?GLOBALS[ini_array][EXTLIB_PATH]=[file]
http://[host]/modules/SoundImporter.php?GLOBALS[ini_array][EXTLIB_PATH]=[file]

URL производителя: musoo.31tools.com

Решение: Способов устранения уязвимости не существует в настоящее время.

или введите имя

CAPTCHA